### Name: Jdot
### Title: Multitype J Function (i-to-any)
### Aliases: Jdot
### Keywords: spatial

### ** Examples

    ##Don't run: library(spatstat)
     # Lansing woods data: 6 types of trees
    data(lansing)

    ##Don't run: 
##D     Jh. <- Jdot(lansing, "hickory")
##D     
    
    sub <- lansing[seq(1,lansing$n, by=30), ]
    Jh. <- Jdot(sub, "hickory") 
    Jhh <- Jest(sub[sub$marks == "hickory", ])
    
    # diagnostic plot for independence between hickories and other trees
    ##Don't run: 
##D        Jhh <- Jest(lansing[lansing$marks == "hickory", ])
##D        plot(Jh.$r, Jh.$J - Jhh$J,
##D                   xlab="r", ylab="Jh.(r)-Jhh(r)",
##D                   type="l")
##D        abline(h=0, lty=2)
##D     

    # synthetic example with two marks "a" and "b"
    pp <- runifpoispp(50)
    pp$marks <- sample(c("a","b"), pp$n, replace=TRUE)
    J <- Jdot(pp, "a")



