### Name: Jest
### Title: Estimate the J-function
### Aliases: Jest
### Keywords: spatial

### ** Examples

   library(spatstat)
   data(cells)
   Jc <- Jest(cells, 0.01)
   ##Don't run: 
##D    plot(Jc$r, Jc$km, type="l")
##D    abline(h=1, lty=2)
##D    # values are far above J= 1, indicating regular pattern
##D    
   data(redwood)
   Jw <- Jest(redwood, 0.01)
   ##Don't run: 
##D    plot(Jw$r, Jw$km, type="l")
##D    abline(h=1, lty=2)
##D    # values are below J= 1, indicating clustered pattern
##D    
   ##Don't run: 
##D    Jc <- Jest(cells, 0.01)
##D    # alternative plot commands
##D    plot(km ~ r, type="l", data=Jc)
##D    # restrict the plot to values of r less than 0.1
##D    plot(km ~ r, type="l", data=Fc[Fc$r <= 0.1, ])
##D    plot(km ~ r, type="l", data=Fc, subset=(r <= 0.1))
##D    
   # simulated data
   X <- runifpoint(50)
   J <- Jest(X, 0.01)
   ##Don't run: 
##D    plot(J$r, J$km, type="l", xlab="r", ylab="J(r)", ylim=c(0,1),
##D        main = "empty space function")
##D    abline(h=1, lty=2)
##D    legend(0.5, 2, c("Kaplan-Meier estimator", "Poisson process"), lty=c(1,2))
##D    

   # functions F, G and J
   Jout <- Jest(X, 0.01)
   FF <- attr(Jout, "F")
   G <- attr(Jout, "G")
   ##Don't run: 
##D    plot(km ~ r, type="l", data=FF, main="Empty space function")
##D    plot(km ~ r, type="l", data=G, main="Nearest neighbour function")
##D    plot(km ~ r, type="l", data=Jout, main="J-function")
##D    



