### Name: Kdot
### Title: Multitype K Function (i-to-any)
### Aliases: Kdot
### Keywords: spatial

### ** Examples

    ##Don't run: library(spatstat)
     # Lansing woods data: 6 types of trees
    data(lansing)

    ##Don't run: 
##D     Kh. <- Kdot(lansing, "hickory") 
##D     
    
    sub <- lansing[seq(1,lansing$n, by=30), ]
    Kh. <- Kdot(sub, "hickory") 
    
    # diagnostic plot for independence between hickories and other trees
    ##Don't run: 
##D        plot(Kh.$r, Kh.$trans,
##D                   xlab="r", ylab="Kh.(r)",
##D                   type="l", ylim=c(0,1))
##D        lines(Kh.$r, Kh.$theo, lty=2)
##D     

    # synthetic example with two marks "a" and "b"
    pp <- runifpoispp(50)
    pp$marks <- sample(c("a","b"), pp$n, replace=TRUE)
    K <- Kdot(pp, "a")



