### Name: MultiStrauss
### Title: The Multitype Strauss Point Process Model
### Aliases: MultiStrauss
### Keywords: spatial

### ** Examples

   ##Don't run: library(spatstat)
   r <- matrix(c(1,2,2,1), nrow=2,ncol=2)
   MultiStrauss(1:2, r)
   # prints a sensible description of itself
   data(ganglia)
   r <- 0.03 * matrix(c(1,2,2,1), nrow=2,ncol=2)
   mpl(ganglia, ~1, MultiStrauss(c("off","on"), r), rbord=0.06)
   # fit the stationary multitype Strauss process to `ganglia'
   mpl(ganglia, ~polynom(x,y,3), MultiStrauss(c("off","on"), r), rbord=0.06)
   # fit a nonstationary Strauss process with log-cubic polynomial trend



