### Name: Strauss
### Title: The Strauss Point Process Model
### Aliases: Strauss
### Keywords: spatial

### ** Examples

   library(spatstat)
   Strauss(r=0.1)
   # prints a sensible description of itself
   data(cells) 
   mpl(cells, ~1, Strauss(r=0.07), rbord=0.07)
   # fit the stationary Strauss process to `cells'
   mpl(cells, ~polynom(x,y,3), Strauss(r=0.07), rbord=0.1)
   # fit a nonstationary Strauss process with log-cubic polynomial trend



