### Name: coef.ppm
### Title: Coefficients of Fitted Point Process Model
### Aliases: coef.ppm
### Keywords: spatial

### ** Examples

    require(spatstat)
    data(cells)

    poi <- mpl(cells, ~1, Poisson())
    coef(poi)
    # This is the log of the fitted intensity of the Poisson process

    str <- mpl(cells, ~1, Strauss(r=0.15), rbord=0.15)
    coef(str)
    # is a vector of two entries,
    # "(Intercept)" and "Interaction"
    # which are respectively log(beta) and log(gamma)
    # in the usual notation for Strauss(beta, gamma, r)




