### Name: conspire
### Title: Plot Together According to a Formula
### Aliases: conspire
### Keywords: spatial

### ** Examples

   ##Don't run: 
##D    library(spatstat)
##D 
##D    df <- data.frame(x=1:20, y=sqrt(1:20), z = sqrt(1:20) + runif(20))
##D 
##D    conspire(df, y ~ x)             # plots y against x
##D 
##D    conspire(df, log(y) ~ log(x))   # plots log(y) against log(x)
##D 
##D    conspire(df, z - sqrt(x) ~ x)   # plots z - sqrt(x) against x
##D 
##D    conspire(df, cbind(y,z) ~ x)   # plots y against x  AND z against x
##D 
##D    conspire(df, cbind(z,sqrt(x)) ~ x)
##D                                   # plots z against x  AND sqrt(x) against x
##D 
##D    conspire(df, cbind(z - sqrt(x),0) ~ x)
##D                                    # plots z - sqrt(x) against x
##D                                    # with dashed horizontal line at height 0
##D 
##D    conspire(df, cbind(y,z) ~ x, col=c(2,3))
##D                                    # plots y against x  in colour 2
##D                                    # and z against x in colour 3
##D 
##D    conspire(df, y ~ x, subset=quote(x < 10))
##D                                    # plots y against x for x < 10
##D 
##D   



