### Name: is.marked.ppm
### Title: Test Whether A Point Process Model is Marked
### Aliases: is.marked.ppm
### Keywords: spatial

### ** Examples

  require(spatstat)
  
  data(lansing)
  # Multitype point pattern --- trees marked by species

  fit1 <- mpl(lansing, ~ marks, Poisson())
  is.marked(fit1)
  # TRUE

  fit2 <- mpl(lansing, ~ 1, Poisson())
  is.marked(fit2)
  # TRUE

  data(cells)
  # Unmarked point pattern

  fit3 <- mpl(cells, ~ 1, Poisson())
  is.marked(fit3)
  # FALSE




